----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    19:05:50 07/30/2014 
-- Design Name: 
-- Module Name:    RHA_TESTMODULE - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;

use IEEE.std_logic_1164.all;
use IEEE.numeric_std.all;

entity RHD_TESTMODULE is
    Port (
			RHD_MOSI_OUTSIDE			: in  STD_LOGIC_VECTOR (7 downto 0);
			RHD_MISO_OUTSIDE			: out STD_LOGIC_VECTOR (7 downto 0);
			RHD_Clk_OUTSIDE			: in  STD_LOGIC_VECTOR (7 downto 0);
			RHD_CS_OUTSIDE				: in  STD_LOGIC_VECTOR (7 downto 0);
			TEST_INFO					: in  STD_LOGIC;
			Clk							: in  STD_LOGIC;
			Reset 						: in  STD_LOGIC			
		);
end RHD_TESTMODULE;

architecture Behavioral of RHD_TESTMODULE is
	signal RHD_MISO : std_logic := '0';
	
begin
	-- All are the same!!!! Because we drive them with the same input signals. 
	-- Thus we can safe a lot of space if we only implement one test module!!!

	RHD_MISO_OUTSIDE <= RHD_MISO & RHD_MISO & RHD_MISO & RHD_MISO &
								RHD_MISO & RHD_MISO & RHD_MISO & RHD_MISO;
								
	 RHD_TEST_MOD_0: entity work.RHD_TEST_MODULATOR 
    Port MAP (
				-- For the data stream
				RHD_MOSI_OUTSIDE => RHD_MOSI_OUTSIDE(0),
				RHD_MISO_OUTSIDE => RHD_MISO,
				RHD_Clk_OUTSIDE => RHD_Clk_OUTSIDE(0),
				RHD_CS_OUTSIDE => RHD_CS_OUTSIDE(0),
				TEST_INFO => TEST_INFO,
				Clk => Clk,
				Reset => Reset
			);


end Behavioral;

