quietly set ACTELLIBNAME igloo
quietly set PROJECT_DIR "C:/Users/ITP/Desktop/IGLOO/IGLOO_RHA"

if {[file exists presynth/_info]} {
   echo "INFO: Simulation library presynth already exists"
} else {
   file delete -force presynth 
   vlib presynth
}
vmap presynth presynth
vmap igloo "C:/Microsemi/Libero_v11.3/Designer/lib/modelsim/precompiled/vhdl/igloo"

vcom -93 -explicit  -work presynth "${PROJECT_DIR}/smartgen/FIFO/FIFO.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/stimulus/FIFO_TEST.vhd"

vsim -L igloo -L presynth  -t 1ps presynth.FIFO_UUT
add wave /FIFO_UUT/*
run 1000ns
